class eucalyptus-cc {
    package { 
        "eucalyptus-cc" :
            ensure => latest,
            responsefile => "/etc/puppet/files/eucalyptus-cc.preseed",
            require => File["/etc/puppet/files/eucalyptus-cc.preseed"];
    }
    file { 
        "/var/lib/eucalyptus/.ssh/id_rsa":
	     ensure => present,
	     source => "puppet:///files/eucalyptus-cc.id_rsa",
	     owner => eucalyptus,
	     group => eucalyptus,
	     mode => 600,
	     require => Package["eucalyptus-cc"];
        "/var/lib/eucalyptus/.ssh/id_rsa.pub":
	     ensure => present,
	     source => "puppet:///files/eucalyptus-cc.id_rsa.pub",
	     owner => eucalyptus,
	     group => eucalyptus,
	     mode => 600,
	     require => Package["eucalyptus-cc"];
        "/var/lib/eucalyptus/.ssh/authorized_keys":
	     ensure => present,
	     source => "puppet:///files/eucalyptus-cc.id_rsa.pub",
	     owner => eucalyptus,
	     group => eucalyptus,
	     mode => 600,
	     require => Package["eucalyptus-cc"];
        "/etc/puppet/files/eucalyptus-cc.preseed":
             ensure => present,
             source => "puppet:///files/eucalyptus-cc.preseed";
    }
}

class eucalyptus-clc {
    package { 
        "eucalyptus-cloud" :
            ensure => latest;
        "postfix" :
            ensure => latest,
            responsefile => "/etc/puppet/files/eucalyptus-clc-postfix.preseed",
            require => File["/etc/puppet/files/eucalyptus-clc-postfix.preseed"];
    }
    file {
        "/etc/puppet/files/eucalyptus-clc-postfix.preseed":
            ensure => present,
            source => "puppet:///files/eucalyptus-clc-postfix.preseed";
    }
}

class eucalyptus-walrus {
    package { 
        "eucalyptus-walrus" :
            ensure => latest,
    }
}

class eucalyptus-sc {
    package { 
        "eucalyptus-sc" :
            ensure => latest,
            responsefile => "/etc/puppet/files/eucalyptus-sc.preseed",
            require => File["/etc/puppet/files/eucalyptus-sc.preseed"];
    }
    file {
        "/etc/puppet/files/eucalyptus-sc.preseed":
            ensure => present,
            source => "puppet:///files/eucalyptus-sc.preseed";
    }
}

class eucalyptus-nc {
    package { 
        "bridge-utils":
            ensure => latest;
        "eucalyptus-nc" :
            ensure => latest,
    }
    file {
        "/etc/network/interfaces":
            content => template("eucalyptus-nc-interfaces.erb"),
            require => Package[bridge-utils];
        "/var/lib/eucalyptus/.ssh/authorized_keys":
	    ensure => present,
	    source => "puppet:///files/eucalyptus-cc.id_rsa.pub",
	    owner => eucalyptus,
	    group => eucalyptus,
	    mode => 600,
	    require => Package["eucalyptus-nc"];
    }
}

class uec-clc-walrus-cc-sc {
    include eucalyptus-cc
    include eucalyptus-sc
    include eucalyptus-walrus
    include eucalyptus-clc
}
